Description

By now, QGIS lets the user edit geographic features and data one by one.

Admittably this is not the way to handle GIS data anyway. Even as a data viewer, QGIS could benefit from an SQL interface.

Query builder is a great tool, but it tries to be easy and forgiving (not dangerous) handling only the "where" clause.

Exposing a full SQL interface could let the user make updates to fields or let the user fully access the GEOS engine to handle geometric

problems.

History

#1 - 2009-07-09 09:19 AM - Giovanni Manghi

Besides the "Postgis Manager" plugin there are also the "pgQuery" one and the "Postgis SQL Editor" one.

Is this enough?

#2 - 2009-07-09 10:29 AM - Paolo Cavallini

Probably not: I do not see a way to do complex, multi table queries

#3 - 2010-06-11 09:29 PM - Paolo Cavallini

- Resolution set to fixed

- Status changed from Open to Closed

The new opengeo_rt plugin does this
